package ru.yandex.webmaster3.storage.checklist.data;

import org.joda.time.LocalDate;
import ru.yandex.webmaster3.core.checklist.data.SiteProblemSeverityEnum;

import java.util.Map;

/**
 * @author avhaliullin
 */
public class SiteProblemsSeverityHistoryPoint {
    private final LocalDate date;
    private final Map<SiteProblemSeverityEnum, Integer> values;

    public SiteProblemsSeverityHistoryPoint(LocalDate date, Map<SiteProblemSeverityEnum, Integer> values) {
        this.date = date;
        this.values = values;
    }

    public LocalDate getDate() {
        return date;
    }

    public Map<SiteProblemSeverityEnum, Integer> getValues() {
        return values;
    }
}
